
textures/1uppro/qer_camera_screen
{
    qer_editorimage textures/1uppro/qer_camera_screen.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    {
        map textures/1uppro/camera_clear.tga
        blendFunc gl_src_alpha gl_one_minus_src_alpha
        depthWrite
    }
    {
        map textures/1uppro/camerastatic.tga
        blendfunc gl_src_alpha gl_one_minus_src_alpha
        alphagen portal 256
        rgbGen wave sin 0 0.2 0.1 1
        tcmod scroll 0 .8
    }
}

textures/1uppro/shields
{
	surfaceparm nolightmap
	cull twosided
	{
		map textures/1uppro/shields.tga
		tcGen environment
                tcMod turb 0 0.25 0 0.5
                tcmod scroll 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/1uppro/disabled
{
	qer_editorimage textures/1uppro/disabled.tga
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/1uppro/disabled.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	     tcmod scroll 0 0.1
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/1uppro/nuke
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans	
qer_nocarve	
{
		map textures/1uppro/nuke.tga
		tcGen environment
                tcMod turb 0 0.25 0 0.5
                tcmod scroll 0 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/1uppro/nuke2
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/1uppro/nuke2.tga
		tcGen environment
                tcMod turb 0 0.25 0 0.5
                tcmod scroll 0 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/1uppro/smoke
{
	qer_editorimage textures/1uppro/smoke.tga
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/1uppro/smoke.tga		
blendfunc add
rgbGen identity
		depthWrite
		
alphaFunc GE128
	     tcmod rotate 40
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/1upfun/hill_icon
{
	qer_editorimage textures/1upfun/hill_icon.tga
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	deformVertexes autosprite
	qer_trans 0.5
	{
		map textures/1upfun/hill_icon.tga
		blendfunc add
		tcMod stretch sin 1 0.1 2 0.8 
		alphaFunc GE128
	}
}